## org.eclipse.jst.jsf.facesconfig.emf
Interface ResourceHandlerType

All Known Implementing Classes:
  ResourceHandlerTypeImpl

    public interface ResourceHandlerType

A representation of the model object 'Resource Handler Type'.

The following features are supported:

- `Text Content`
- `Id`

See Also:
  `FacesConfigPackage.getResourceHandlerType()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`java.lang.String` `getTextContent()` Returns the value of the 'Text Content' attribute
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute
`void` `setTextContent(java.lang.String value)` Sets the value of the '`Text Content`' attribute

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getTextContent

    java.lang.String getTextContent()

  Returns the value of the 'Text Content' attribute.

  If the meaning of the 'Text Content' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Text Content' attribute.
  See Also:
    `setTextContent(String)`, `FacesConfigPackage.getResourceHandlerType_TextContent()`

### setTextContent

    void setTextContent(java.lang.String value)

  Sets the value of the '`Text Content`' attribute.

  Parameters:
    `value` - the new value of the 'Text Content' attribute.
  See Also:
    `getTextContent()`

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `FacesConfigPackage.getResourceHandlerType_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`